Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Set Group Mute All

The group service supports muting all members of a group. Apps can call this API to add the specified group to the server-side mute-all group list.

  • Once a group is added to the mute-all list, the mute-all status takes effect immediately. All members of the group will be unable to send messages to the group via the client SDK.
  • Even if the group is disbanded and recreated, the mute-all status remains effective. If necessary, remove the specified group from the mute-all list. For details, see Unban Group Mute All.
tip
  • Users in the group mute whitelist can still send messages to the group via the client SDK. For details, see Add to Group Mute Whitelist.
  • The server-side (Server API) group chat message sending interface is not restricted by the group mute-all status. Muted users can send messages to the group via the Server API.

Request Method

POST: https://Data Center Domain/group/ban/add.json

Rate Limit: 100 requests per second

Signature Rule: All server-side API requests require rule validation. For details, see API Request Signature.

Body Parameters

The HTTP request body can include the following HTTP form parameters:

ParameterTypeRequiredDescription
groupIdStringYesGroup ID. Supports setting multiple groups at once, up to a maximum of 20.

Request Example

POST /group/ban/add.json HTTP/1.1
Host: api.rong-api.com
App-Key: c9kqb3rdkbb8j
NONCE: 97
TIMESTAMP: 1480479442
SIGNATURE: 9774e3d91656dc92df8aff294d46d6a506412538
Content-Type: application/x-www-form-urlencoded

groupId=XklWnVzXm&groupId=LklWnVzXq

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueTypeDescription
codeNumberReturn code, 200 indicates success.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":200}